<?php

// If this laravel, check if the user has been logged in
if (app() instanceof \Illuminate\Foundation\Application) {
	// Laravel Routes
	Route::group(['prefix'=>'sqrl','namespace'=>'Leenooks\SQRL'], function() {
		// Return our Login URL
		Route::get('/login','SQRLController@auth')->name('login');

		// Perform login
		Route::post('/login','SQRLController@@login');
	});

	Route::group(['prefix'=>'api','namespace'=>'Leenooks\SQRL'], function() {
		// Check if our nonce has been verified
		Route::get('/sqrl','SQRLController@isReady');

		// Route to the API
		Route::post('/sqrl','SQRLController@api');
	});

} else {
	// Lumen Routes
	$this->app->router->group(['prefix' => 'sqrl','namespace'=>'\Leenooks\SQRL'], function ($router) {
		// Return our Login URL
		$router->get('/login','SQRLController@auth');

		// Perform login
		//$router->post('/login','SQRLController@api');
	});

	$this->app->router->group(['prefix' => 'api','namespace'=>'\Leenooks\SQRL'], function ($router) {
		// Check if our nonce has been verified
		$router->get('/sqrl','SQRLController@isReady');

		// Route to the API
		$router->post('/sqrl','SQRLController@api');
	});
}
